Skip to main content
DELETE
/
components
/
v1
/
offer-design
/
{externalId}
curl -X DELETE \
  'https://api.appcharge.com/components/v1/offer-design/summer-special-design' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "id": "68b3f37f3a2852af1a154fae",
  "offerUiType": "SpecialOffer",
  "name": "Summer Special Design",
  "externalId": "summer-special-design",
  "backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
  "title": {
    "text": "Limited Time Offer",
    "fontColor": {
      "colorOne": "#ffffff"
    },
    "fontSize": 20,
    "fontWeight": "bold"
  },
  "buttonSuffixImage": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/button-suffix.png",
  "buttonSuffixAnimation": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/button-suffix-animation.json"
}
curl -X DELETE \
  'https://api.appcharge.com/components/v1/offer-design/summer-special-design' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "id": "68b3f37f3a2852af1a154fae",
  "offerUiType": "SpecialOffer",
  "name": "Summer Special Design",
  "externalId": "summer-special-design",
  "backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
  "title": {
    "text": "Limited Time Offer",
    "fontColor": {
      "colorOne": "#ffffff"
    },
    "fontSize": 20,
    "fontWeight": "bold"
  },
  "buttonSuffixImage": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/button-suffix.png",
  "buttonSuffixAnimation": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/button-suffix-animation.json"
}

Authorizations

x-publisher-token
string
header
required

Publisher token, as displayed in the Publisher Dashboard.

Path Parameters

externalId
string
required

Design ID that you defined.

Response

Special offer design deleted successfully.

id
string

Design ID.

Example:

"68b3f37f3a2852af1a154fae"

offerUiType
enum<string>

Type of offer design.

Available options:
SpecialOffer
Example:

"SpecialOffer"

name
string

Offer design name.

Example:

"Summer Special Design"

externalId
string

Design ID that you defined.

Example:

"summer-special-design"

backgroundImageUrl
string<url>

Background image URL. For uploaded files, this is the Appcharge-hosted CDN URL. For external image URLs, this is the original image URL served from the provided URL.

Example:

"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png"

title
object
externalBackgroundImageUrl
string<url>

Original background image URL when the design uses an external image URL. This URL is used as provided to serve the image.

Example:

"https://cdn.example.com/assets/background.png"

buttonSuffixImage
string

Button asset suffix for the promotion offer design.

Example:

"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/button-suffix.png"

buttonSuffixAnimation
string

Button asset suffix animation for the promotion offer design.

Example:

"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/button-suffix-animation.json"